

#include <stdio.h>
#include <stdlib.h>
#define SIZE 200

FILE* in;
char *(z[10][5]);
char out[30][SIZE+1];
int n, s;

void init() {

  z[0][0] = " - ";
  z[0][1] = "| |";
  z[0][2] = "   ";
  z[0][3] = "| |";
  z[0][4] = " - ";

  z[1][0] = "   ";
  z[1][1] = "  |";
  z[1][2] = "   ";
  z[1][3] = "  |";
  z[1][4] = "   ";

  z[2][0] = " - ";
  z[2][1] = "  |";
  z[2][2] = " - ";
  z[2][3] = "|  ";
  z[2][4] = " - ";

  z[3][0] = " - ";
  z[3][1] = "  |";
  z[3][2] = " - ";
  z[3][3] = "  |";
  z[3][4] = " - ";

  z[4][0] = "   ";
  z[4][1] = "| |";
  z[4][2] = " - ";
  z[4][3] = "  |";
  z[4][4] = "   ";

  z[5][0] = " - ";
  z[5][1] = "|  ";
  z[5][2] = " - ";
  z[5][3] = "  |";
  z[5][4] = " - ";

  z[6][0] = " - ";
  z[6][1] = "|  ";
  z[6][2] = " - ";
  z[6][3] = "| |";
  z[6][4] = " - ";

  z[7][0] = " - ";
  z[7][1] = "  |";
  z[7][2] = "   ";
  z[7][3] = "  |";
  z[7][4] = "   ";

  z[8][0] = " - ";
  z[8][1] = "| |";
  z[8][2] = " - ";
  z[8][3] = "| |";
  z[8][4] = " - ";

  z[9][0] = " - ";
  z[9][1] = "| |";
  z[9][2] = " - ";
  z[9][3] = "  |";
  z[9][4] = " - ";
}

void solvecase() { int i,j; int x,y; int zif;

  memset(out, ' ', sizeof(out));

  for (i = 0; i < 30; i++) out[i][SIZE] = 0; 

  x = SIZE;

  do { 

    x -= 2+s+1;
    zif = n % 10;    
    n /= 10;
    y = 0;

    out[y][x] = z[zif][0][0]; 
    for (i = 1; i <= s; ++i) out[y][x+i] = z[zif][0][1];
    out[y][x+1+s] = z[zif][0][2];

    for (i = 1; i <= s; ++i) out[y+i][x] = z[zif][1][0];
    for (i = 1; i <= s; ++i) out[y+i][x+1+s] = z[zif][1][2];

    out[y+s+1][x] = z[zif][2][0]; 
    for (i = 1; i <= s; ++i) out[y+s+1][x+i] = z[zif][2][1];
    out[y+s+1][x+1+s] = z[zif][2][2];

    for (i = 1; i <= s; ++i) out[y+i+s+1][x] = z[zif][3][0];
    for (i = 1; i <= s; ++i) out[y+i+s+1][x+1+s] = z[zif][3][2];

    out[y+s+s+2][x] = z[zif][4][0]; 
    for (i = 1; i <= s; ++i) out[y+s+s+2][x+i] = z[zif][4][1];
    out[y+s+s+2][x+1+s] = z[zif][4][2];

  } while (n > 0);

  for (i = 0; i < s+s+2; ++i) {
    for (j = SIZE; out[i][j] == ' '; j--) out[i][j] = 0;
  } 

  for (i = 0; i <= s+s+2; ++i)  
    printf("%s\n",&(out[i][x])); 
  
  printf("\n");
}
    
  
 
  




int readcase() {

  fscanf(in, "%d %d", &s, &n);
  
  if( s==0 && n==0)
    return(0);
  else
    return(1);
}




int main () {
  init();

  in = fopen("lcd.in", "r");
  
  while(readcase())
    solvecase();


  return(0);
}
